:root {
    --primary-color: 138, 71, 235;
    --dark-color: 39, 0, 95;
    --light-color: 238, 226, 255;
    --white-color: 255, 255, 255;
    --font-family: "OpenSans-Regular";
    --anim: 0.4s ease;
}

.header {
    /* background: rgb(var(--light-color)); */
    position: fixed;
    z-index: 999;
    width: 100%;
    top: 0;
    color: rgb(var(--light-color));
    transition: background-color 0.5s ease;
    /* border-bottom: 1px solid #8a47eb; */
    /* -webkit-box-shadow: 0px 3px 2px 0px rgba(138, 71, 235, 0.36); */
    -moz-box-shadow: 0px 3px 2px 0px rgba(138, 71, 235, 0.36);
    /* box-shadow: 0px 3px 2px 0px rgb(255 255 255 / 36%); */
}
body{
    font-family: var(--font-family);
    font-size: 18px;
    color: rgb(var(--primary-color));
}

img, svg {
    max-width: 100%;
    height: auto;
}

svg {
    fill: currentColor;
}

a, button {
    color: inherit;
    text-decoration: none;
}
.nav {
    background-color: rgb(var(--dark-color), 0.7);
    position: sticky;
    top: 0;
    z-index: 900;
    /* border-top: 1px solid rgb(var(--primary-color)); */
    /* border-bottom: 1px solid rgb(var(--primary-color)); */
}

.menu-list {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
    flex-wrap: wrap;
}

.menu-item__link {
    display: inline-flex;
    padding: 16px 24px;
    text-decoration: none;
    transition: background-color var(--anim), color var(--anim);
    width: 100%;
    gap: 8px;
    justify-content: space-between;
}

.menu-item__link:hover {
    background-color: rgb(var(--dark-color));
    color: rgb(var(--white-color));
}

.menu-item--current>.menu-item__link {
    background-color: rgb(var(--primary-color));
    color: rgb(var(--white-color));
}

.submenu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: rgb(var(--dark-color));
    width: 320px;
}

.menu-item--parent:hover > .submenu {
    display: block;
}

.submenu .submenu {
    left: 100%;
    top: -1px;
}

.menu-item--parent {
    position: relative;
}

.submenu-wrapper {
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    list-style: none;
    background-color: rgb(var(--white-color));
    border-top: 1px solid rgb(var(--primary-color));
    width: 320px;
}

.menu-link {
    display: flex;
    align-items: center;
    gap: 4px;
    padding: 8px 12px;
    font-size: 16px;
    justify-content: space-between;
}

.menu-link {}

.menu-link svg {
    width: 8px;
    height: 8px;
}

.burger {
    height: 48px;
    width: 48px;
    border: 2px solid rgb(var(--light-color));
    padding: 6px;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    gap: 6px;
    align-items: center;
    justify-content: center;
    color: rgb(var(--white-color));
    background: none;
}
.burger:hover {
    background: rgb(var(--light-color));
}

.burger::before, .burger::after {
    content: '';
}

.burger::before, .burger::after, .burger__line {
    width: 100%;
    height: 3px;
    background-color: rgb(var(--light-color));
    border-radius: 40px;
}
.burger:hover::before, .burger:hover::after, .burger:hover .burger__line {
    background: rgb(var(--primary-color));
}
.button {
    background: none;
    border-radius: 14px;
    color: rgb(var(--light-color));
    padding: 4px 12px;
    border: 3px solid rgb(var(
    --light-color));
}
.button:hover{
    color: rgb(var(--primary-color));
    background: rgb(var(--light-color));
}

.button--primary {
    color: rgb(var(--primary-color));
    border-color:  rgb(var(--primary-color));
}

.header-social svg {
    width: 32px;
    min-width: 32px;
}

.header-social {
    display: flex;
    gap: 8px;
    /* flex: 1 1 112px; */
}
.logo {
    width: 100px;
}

.header-button__icon {
    flex: 1 0 auto;
}
.header-contacts {
    /* display: flex; */
    gap: 12px;
    color: rgb(var(--light-color));
    font-size: 1.1em;
}

.logo svg {
    color: rgb(var(--light-color));
}

.mobmenu .logo svg, footer .logo svg {
    color: rgb(var(--primary-color));
}

.hero {
    height: 550px;
    background: rgb(var(--light-color));
    display: flex;
    align-items: center;
    position: relative;
    -webkit-box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
    -moz-box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
    box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
}

.hero-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
    position: relative;
    z-index: 9;
}

.hero-item__title {
    font-size: 3em;
    color: rgb(var(--light-color));
    text-align: center;
    line-height: 1;
}
.hero__bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
}
.hero__bg::before {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgb(0 0 0 / 50%);
}
.hero__bg img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-item__bottom {color: rgb(var(--light-color));font-size: 2em;}

.button--hero {
    color: rgb(var(--light-color));
    border-color: rgb(var(--light-color));
}

.footer {
    background: rgb(var(--light-color));
    color: rgb(var(--primary-color));
    -webkit-box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
    -moz-box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
    box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
}
.form-message.alert {
    display: none;
}
.footer-title {
    color: rgb(var(--primary-color));
}

.footer-contacts {
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 10px;
}
.footer-left {
    margin-top: 10px;
}
.advantages-item__icon svg {
    width: 54px;
    min-width: 54px;
    color: rgb(var(--primary-color));
}

.advantages-item {
    display: flex;
    /* flex-direction: column; */
    flex: 1 1 300px;
    align-items: center;
    /* justify-content: space-between; */
    gap: 15px;
    border: 2px solid rgb(var(--primary-color));
    padding: 10px;
    border-radius: 20px;
    height: 100%;
}

.advantages-items {
    display: flex;
    margin-top: 30px;
    gap: 20px;
    flex-wrap: wrap;
}
.advantages-item__caption {
    font-size: 16px;
    text-align: center;
}

.advantages-item__right {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: rgb(var(--primary-color));
    gap: 6px;
}

.advantages-item__title {
    font-weight: 600;
    text-align: center;
    line-height: 1;
}

.title {
    color: rgb(var(--primary-color));
    text-align: center;
    font-size: 1.8em;
    margin-bottom: 30px;
}

.scroll-btn {
    position: fixed;
    bottom: 20px;
    left: 20px;
    z-index: 9999;
    border: none;
    border-radius: 4px;
    background: rgb(var(--primary-color));
    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
}

.scroll-btn svg {
    min-width: 14px;
}

.header.active {
    background: rgb(149 119 194);
}

.title--anim {
    opacity: 0;
    -webkit-transform: translateY(20px); /* ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Â¦Ãƒâ€šÃ‚Â¸ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚ÂµÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬Ãƒâ€¦Ã‚Â¾ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¸ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚ÂºÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â»ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â Safari */
    transform: translateY(20px);
    -webkit-transition: opacity 1s ease-out, -webkit-transform 1s ease-out; /* ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Â¦Ãƒâ€šÃ‚Â¸ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚ÂµÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬Ãƒâ€¦Ã‚Â¾ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¸ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚ÂºÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â»ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â Safari */
    transition: opacity 1s ease-out, transform 1s ease-out;
}

.title--anim.title--active {
    opacity: 1;
    -webkit-transform: translateY(0); /* ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Â¦Ãƒâ€šÃ‚Â¸ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â€šÂ¬Ã…Â¡Ãƒâ€šÃ‚Â¬ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚ÂµÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã‚Â¢ÃƒÂ¢Ã¢â‚¬Å¡Ã‚Â¬Ãƒâ€¦Ã‚Â¾ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â¸ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚ÂºÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â´ÃƒÆ’Ã†â€™Ãƒâ€šÃ‚ÂÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â»ÃƒÆ’Ã†â€™ÃƒÂ¢Ã¢â€šÂ¬Ã‹Å“ÃƒÆ’Ã¢â‚¬Å¡Ãƒâ€šÃ‚Â Safari */
    transform: translateY(0);
}

.title--dark {
    color: rgb(var(--dark-color));
}

.hero--inner {
    height: 400px;
    
}

.breadcrumb-item.active {
    color: rgb(var(--light-color));
}

.breadcrumb-item+.breadcrumb-item::before {
    color: rgb(var(--light-color));
}

.breadcrumb-item {
    /* color: #9577c2; */
}

.about-me {
    background-color: #eee2ff;
    -webkit-box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
    -moz-box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
    box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
    /* -webkit-box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 0.8); */
    -moz-box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 0.8);
    /* box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 0.8); */
    /* -webkit-box-shadow: 0px 0px 8px 14px rgba(238, 226, 255, 0.8); */
    -moz-box-shadow: 0px 0px 8px 14px rgba(238, 226, 255, 0.8);
    /* box-shadow: 0px 0px 8px 14px rgba(238, 226, 255, 0.8); */
}

.about-me__content {
    display: flex;
    align-items: center;
    gap: 40px;
}

.about-me__text {
    flex: 1;
}

.about-me__title {
    font-size: 2.5rem;
    color: #2c3e50;
    margin-bottom: 20px;
}

.about-me__description {
    font-size: 1.3rem;
    line-height: 1.6;
    color: rgb(var(--dark-color));
    margin-bottom: 20px;
    text-align: justify;
}

.about-me__button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #27ae60;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}

.about-me__button:hover {
    background-color: #219653;
}

.about-me__image {
    flex: 1;
    text-align: center;
}

.about-me__image img {
    max-width: 100%;
    border-radius: 10px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}
.about-me__right {
    border-radius: 20px;
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 100%;
    min-height: 500px;
}

.about-me__right img {
    width: 100%;
    height: 100%;
    /* max-height: 600px; */
    object-fit: cover;
    position: absolute;
    top: 0;
    transition: opacity 1s ease-in-out;
}

.about-me__left {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.swiper-slide {
    height: auto;
}
.category-item__link {
    height: 100%;
    display: block;
}

.category-item {
    height: 100%;
    position: relative;
    max-height: 400px;
    overflow: hidden;
    border-radius: 30px;
    /* background: none; */
    /* border: none; */
    transition: all 0.3s linear;
}

.category-item__image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.category-item__price {
    position: absolute;
    top: 0;
    right: 0;
    background: rgb(var(--light-color), 0.7);
    padding: 15px;
    border-bottom-left-radius: 20px;
    transition: background-color 0.3s ease-in-out;
}

.category-item__title {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding: 10px;
    text-align: center;
    background: rgb(var(--light-color), 0.7);
    transition: background-color 0.3s ease-in-out;
}

.sertifikate-item__link {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    border-radius: 20px;
    overflow: hidden;
    border: 3px solid rgb(var(--light-color));
}

.sertifikate-item__image {
    height: auto;
    object-fit: cover;
}
 .about-image__hidden {
    opacity: 0;
}
.portfolio-item__link {
    width: 100%;
    height: 100%;
    display: block;
    border-radius: 20px;
    overflow: hidden;
    border: 3px solid rgb(var(--light-color));
}
.portfolio-item__image {
    width: 100%;
    height: 200px;
    object-fit: cover;
}
.portfolio-slider .swiper-pagination {
    position: static;
}
.portfolio {
    background-color: #eee2ff;
    -webkit-box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
    -moz-box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
    box-shadow: 0px 0px 4px 8px rgba(238, 226, 255, 1);
}
.category-item:hover .category-item__price {
    background: white;
}
.category-item:hover{
    border: 1px solid rgb(var(--light-color));
}
.category-item:hover .category-item__title {
    background: white;
}
.grecaptcha-badge{
    display: none;
}
.mobmenu-list {
    margin-top: 30px;
}
.footer-menu {
    list-style: none;
    padding: unset;
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding-top: 10px;
}
.footer-menu__item {
    line-height: 1.2;
}

.gallery-item {
    display: flex;
    flex-direction: column;
}

.gallery-item picture {
    position: relative;
    padding-bottom: 80%;
    width: 100%;
}

.gallery-item--product picture {
    padding-bottom: 66.5%;
}

.gallery-item img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 16px;
    border: 1px solid rgb(var(--primary-color));
}
.product-thumbs img {
    border: 1px solid rgb(var(--primary-color));
    border-radius: 16px;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.product-thumbs .swiper-wrapper {
    align-items: stretch;
}

.product-thumbs .swiper-slide {
    height: auto;
    opacity: 0.5;
}

.product-thumbs .swiper-slide-thumb-active {
    opacity: 1;
}
.contacts-inner {
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.contacts-inner__item--social{
    display: flex;
    gap: 10px;
}

.contacts-inner__item--social svg {
    width: 40px;
}
.contacts-wrappper {
    display: flex;
    gap: 30px;
    padding: 20px 0;
    align-items: center;
    justify-content: center;
}
.contacts-wrappper > svg {
    width: 200px;
}
@media (max-width: 767px){
    .footer-left {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .footer .logo {
        margin: 0 auto;
    }
    .footer-title {
        text-align: center;
    }
    .footer-contacts {
        align-items: center;
    }
    .footer-menu__item {
        text-align: center;
    }
    .hero-item {
        gap: 20px!important;
    }
    .hero-item__title {
        font-size: 32px!important;
    }
    .header-contacts {
        flex-direction: column;
        gap: 0px;
        align-items: center;
    }
    
    .about-me__content {
        flex-direction: column;
        text-align: center;
    }

    .about-me__image {
        order: -1;
        margin-bottom: 20px;
    }
}
@media (max-width: 565px){
    .header-social svg {
        width: 24px;
        min-width: 24px;
    }
    .logo {
        width: 70px;
    }
    
    .burger {
        width: 40px;
        height: 40px;
    }
    .hero-item__title {
        font-size: 2.5em;
    }
}

